Can't install schooltool

Bug #218360 reported by Shane Rice on 2008-04-16
2
Affects Status Importance Assigned to Milestone
schooltool (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: schooltool

Ok, I tried to install schooltool, and here is the error I get:

 sudo apt-get install schooltool
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  schooltool: Depends: python2.4-schooltool (= 0.11.4-1ubuntu4) but it is not going to be installed
E: Broken packages

Here is what aptitude says:
sudo aptitude install schooltool
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Building tag database... Done
The following packages are BROKEN:
  python2.4-schooltool
The following NEW packages will be automatically installed:
  python2.4 python2.4-minimal
The following NEW packages will be installed:
  python2.4 python2.4-minimal schooltool
0 packages upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 4486kB of archives. After unpacking 16.8MB will be used.
The following packages have unmet dependencies:
  python2.4-schooltool: Depends: python (< 2.5) but 2.5.1-1ubuntu2 is installed.
                        Depends: python2.4-schoolbell (>= 1.2.4) which is a virtual package.
                        Depends: python2.4-schoolbell (< 1.3) which is a virtual package.
Resolving dependencies...
The following actions will resolve these dependencies:

Keep the following packages at their current version:
python2.4-schooltool [Not Installed]
schooltool [Not Installed]

Score is -9870

Accept this solution? [Y/n/q/?] n
Resolving dependencies...

*** No more solutions available ***

The following actions will resolve these dependencies:

Keep the following packages at their current version:
python2.4-schooltool [Not Installed]
schooltool [Not Installed]

Score is -9870

Accept this solution? [Y/n/q/?] q
Abandoning all efforts to resolve these dependencies.
Abort.

I'm using Gutsy 64bit and everything is up to date. I assume this may be related to bug #18340 https://bugs.launchpad.net/bugs/18340
However I'm not that technical, just posting the bug to be a responsible Ubuntu user, and to help the Ubuntu community. If there is anything further that I could do please let me know. I hate to report this 8 days before the release of Hardy Heron, because I do plan on updating. I'm surprised it has gone this far without a single report. I guess it isn't a super popular program. :)

Ohh, here is the info about my computer from below:
Description: Ubuntu 7.10
Release: 7.10

schooltool:
  Installed: (none)
  Candidate: 0.11.4-1ubuntu4
  Version table:
     0.11.4-1ubuntu4 0
        500 http://us.archive.ubuntu.com gutsy/universe Packages

Hope that helps.
Shane

Cesare Tirabassi (norsetto) wrote :

Yes, schooltool was removed from the archive and might be back for intrepid.
See bug 153931.

Changed in schooltool:
status: New → Confirmed
LaserJock (laserjock) wrote :

I'm going to go ahead and mark this as "Won't Fix". We'd really like to get SchoolTool back in Ubuntu but it's not there yet. And since the problem in Gutsy is really unfixable at this point I think it's the best course of action to just leave it. Thanks for the bug report though, it's always nice to have responsible users. You make Ubuntu a better distro.

Changed in schooltool:
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers